-
Featurepointitem- Feature point items ManageGET global/sites/{siteId}/featurepointitems- Get site feature point itemsGET global/products/{productId}/featurepointitems- Get product feature point items
Feature point item JSON Format
Feature point item is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
id |
string | ID of the feature point item. |
productId |
string | ID of Product. |
name |
string | Name of the feature point item. |
description |
string | Description of the feature point item. |
Get site feature point items
GET global/sites/{siteId}/featurepointitems
-
Parameters:
No Parameters
-
Response:
An array of feature point items
-
Example
Sample Request:
curl https://partnerapi.comm100.io/v4/global/sites/100/featurepointitems \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
[
{
"id": "AgentSSO",
"productId":"Global",
"name": "Agent SSO",
"description": ""
}
]
Get product feature point items
GET global/products/{productId}/featurepointitems
-
Parameters:
No Parameters
-
Response:
An array of feature point items
-
Example
Sample Request:
curl https://partnerapi.comm100.io/v4/global/products/global/featurepointitems \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
[
{
"id": "AgentSSO",
"productId":"Global",
"name": "Agent SSO",
"description": ""
}
]